Runtime

## org.eclipse.gmf.runtime.notation.impl
Class PropertyValueImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.gmf.runtime.notation.impl.PropertyValueImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, PropertyValue, StringObjectConverter

    public class PropertyValueImpl

extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
implements PropertyValue

An implementation of the model object 'Property Value'.

The following features are implemented:

- `Raw Value`
- `Instance Type`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.ecore.EDataType` `instanceType` The cached value of the '`Instance Type`' reference
`protected static java.lang.String` `RAW_VALUE_EDEFAULT` The default value of the '`Raw Value`' attribute
`protected java.lang.String` `rawValue` The cached value of the '`Raw Value`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `PropertyValueImpl()`

Method Summary
`org.eclipse.emf.ecore.EDataType` `basicGetInstanceType()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.ecore.EDataType` `getInstanceType()`
`java.lang.Object` `getObjectFromString(java.lang.String stringValue)`
`java.lang.String` `getRawValue()`
`java.lang.String` `getStringFromObject(java.lang.Object objectValue)`
`java.lang.Object` `getValue()`
`void` `setInstanceType(org.eclipse.emf.ecore.EDataType newInstanceType)`
`void` `setRawValue(java.lang.String newRawValue)`
`void` `setValue(java.lang.Object newValue)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### RAW_VALUE_EDEFAULT

    protected static final java.lang.String RAW_VALUE_EDEFAULT

  The default value of the '`Raw Value`' attribute.

  See Also:
    `getRawValue()`
  ** Generated **
  Ordered:

### rawValue

    protected java.lang.String rawValue

  The cached value of the '`Raw Value`' attribute.

  See Also:
    `getRawValue()`
  ** Generated **
  Ordered:

### instanceType

    protected org.eclipse.emf.ecore.EDataType instanceType

  The cached value of the '`Instance Type`' reference.

  See Also:
    `getInstanceType()`
  ** Generated **
  Ordered:

Constructor Detail

### PropertyValueImpl

    protected PropertyValueImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### getRawValue

    public java.lang.String getRawValue()

  Specified by:
    `getRawValue` in interface `PropertyValue`
  Returns:
    the value of the 'Raw Value' attribute.
  See Also:
    `PropertyValue.setRawValue(String)`, `NotationPackage.getPropertyValue_RawValue()`
  ** Generated **

### setRawValue

    public void setRawValue(java.lang.String newRawValue)

  Specified by:
    `setRawValue` in interface `PropertyValue`
  Parameters:
    `newRawValue` - the new value of the 'Raw Value' attribute.
  See Also:
    `PropertyValue.getRawValue()`
  ** Generated **
    NOT

### getInstanceType

    public org.eclipse.emf.ecore.EDataType getInstanceType()

  Specified by:
    `getInstanceType` in interface `PropertyValue`
  Returns:
    the value of the 'Instance Type' reference.
  See Also:
    `PropertyValue.setInstanceType(EDataType)`, `NotationPackage.getPropertyValue_InstanceType()`
  ** Generated **

### basicGetInstanceType

    public org.eclipse.emf.ecore.EDataType basicGetInstanceType()

  ** Generated **

### setInstanceType

    public void setInstanceType(org.eclipse.emf.ecore.EDataType newInstanceType)

  Specified by:
    `setInstanceType` in interface `PropertyValue`
  Parameters:
    `newInstanceType` - the new value of the 'Instance Type' reference.
  See Also:
    `PropertyValue.getInstanceType()`
  ** Generated **

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `PropertyValue`
  ** Generated **
    NOT

### setValue

    public void setValue(java.lang.Object newValue)

  Specified by:
    `setValue` in interface `PropertyValue`
  ** Generated **
    NOT

### getStringFromObject

    public java.lang.String getStringFromObject(java.lang.Object objectValue)

  Specified by:
    `getStringFromObject` in interface `StringObjectConverter`
  ** Generated **
    NOT

### getObjectFromString

    public java.lang.Object getObjectFromString(java.lang.String stringValue)

  Specified by:
    `getObjectFromString` in interface `StringObjectConverter`
  ** Generated **
    NOT

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.